[PHP]

; Memory
; Note: "memory_limit" should be larger than "post_max_size"
memory_limit                       = 4096M

; Timeouts
max_execution_time                 = 3600
max_input_time                     = 3600

; Uploads
; Note: "post_max_size" should be greater than "upload_max_filesize"
post_max_size                      = 128M
upload_max_filesize                = 120M
max_file_uploads                   = 20

; Vars
variables_order                    = EGPCS
max_input_vars                     = 8000
max_input_nesting_level            = 64

; Error reporting
; Note: error_log is dynamic and handled during start to set appropriate setting
error_reporting                    = E_ALL
xmlrpc_errors                      = Off
report_memleaks                    = On
display_errors                     = On ; Off
display_startup_errors             = On ; Off
log_errors                         = On
html_errors                        = On ; Off

log_errors                         = On
log_errors_max_len                 = 1024
ignore_repeated_errors             = Off
ignore_repeated_source             = Off
error_log                          = /dev/stdout

;
; Misc
;
; Decides whether PHP may expose the fact that it is installed on the server
; (e.g. by adding its signature to the Web server header).  It is no security
; threat in any way, but it makes it possible to determine whether you use PHP
; on your server or not.
; Default: On
expose_php                         = On

[Session]
; After this number of seconds, stored data will be seen as 'garbage' and
; cleaned up by the garbage collection process.
; http://php.net/session.gc-maxlifetime
session.gc_maxlifetime             = 1440

; Xdebug configuration
[xdebug]
xdebug.max_nesting_level           = 2048
xdebug.output_dir                  = /app
xdebug.start_with_request          = yes
xdebug.client_host                 = 127.0.0.1
xdebug.client_port                 = 9004
xdebug.mode                        = debug
xdebug.force_display_errors        = On
xdebug.connect_timeout_ms          = 2048
